#include<bits/stdc++.h>

using namespace std;
int N,K,niz[20005],o;
int br;
int main(){
    cin>>N>>K;
    for(int i=1;i<=N;i++){
        o=i+1;
        cin>>niz[i];
    if(K==niz[N]){
        br=niz[1];
    }
    else if(K==niz[1]){
        br=niz[2];
    }
    else if(K==niz[2]){
        br=niz[3];
    }
    else if(K==niz[3]){
        br=niz[4];
    }
    else if(K==niz[4]){
        br=niz[5];
    }
    else if(N==2 and K==niz[1]){
        br=niz[2];
    }
    else if(N==2 and K==niz[2]){
        br=niz[1];
    }
        for(int j=5;j<=N-1;j++){
        if(K==niz[j]){
            br=niz[j+1];
        }
    }
    }
cout<<br<<endl;    
    }